New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

plantUML requires epstopdf for building PDF files (Origin: bugzilla #735198) #5559

Open
doxygen opened this Issue Jul 2, 2018 · 0 comments

Comments

Projects
None yet
1 participant
@doxygen
Owner

doxygen commented Jul 2, 2018

status REOPENED severity normal in component general for ---
Reported in version 1.8.8 on platform Other
Assigned to: Dimitri van Heesch

On 2014-08-21 22:11:49 +0000, Dean Nelson wrote:

When using the "make.bat" right out of the box with plantUML installed, Latex will halt in the section "\includegraphics{fooFile}. Somehow it expects Latex to know that fooFile is fooFile.eps, but it doesn't. 

To work around this issue, add "epstopdf" to the EXTRA_PACKAGES.

1. Best case is to automatically add epstopdf if plantUML is used.
2. If not, add that info to the docs.

On 2014-09-07 09:06:45 +0000, albert wrote:

Just pushed a proposed solution to github (pull request 223)

On 2014-09-16 19:26:33 +0000, Dimitri van Heesch wrote:

Thanks, I've pulled in the changes.

On 2014-12-25 16:03:26 +0000, Dimitri van Heesch wrote:

This bug was previously marked ASSIGNED, which means it should be fixed in
doxygen version 1.8.9. Please verify if this is indeed the case. Reopen the
bug if you think it is not fixed and please include any additional information 
that you think can be relevant (preferrably in the form of a self-contained example).

On 2015-09-16 16:26:45 +0000, Alexander wrote:

The problem still exist in 1.8.9.1

On 2015-09-16 16:30:34 +0000, Alexander wrote:

Update: doxywizard output shows "error: Problems running epstopdf. Check your TeX installation! Exit code: 1" but the make.bat works correctly - converts *.eps to *.pdf and adds those in the refman.pdf

On 2015-09-16 17:24:59 +0000, Dean Nelson wrote:

This does not work running 1.8.10 

From the log:

Running PlantUML on generated file D:/source/pcds/driver/doc/doxygen/html/inline_umlgraph_1.pu
Running PlantUML on generated file D:/source/pcds/driver/doc/doxygen/latex/inline_umlgraph_2.pu
epstopdf: The input file does not exist.

then later on:

error: Problems running PlantUML. Verify that the command 'java -jar "D:/source/pcds/driver/doc/plantuml\plantuml.jar" -h' works from the command line. Exit code: 2
error: Problems running PlantUML. Verify that the command 'java -jar "D:/source/pcds/driver/doc/plantuml\plantuml.jar" -h' works from the command line. Exit code: 2
error: Problems running epstopdf. Check your TeX installation! Exit code: 1

And that command in the error line works on the command line.

On 2015-09-17 07:53:17 +0000, Alexander wrote:

I can confirm that 1.8.10 broke it. But the problem is 1.8.10 can't operate with plantuml and java 8. 

With 1.8.9.1 was possible to make plantuml run with hardlink to java.exe in c:\programdata\oracle\java and java.cmd in doxygen folder.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment